#include <stdio.h>
#include "../winuser.h"
int _AudioCrunch4bit(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioDecrunch4bit(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioCrunch2bit(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioDecrunch2bit(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioUninterpol2(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioInterpol2(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioGsmInit(mmachine m)
{ m->pp+=0;return MMpush(m,NIL); }
int _AudioGsmDestroy(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioGsmEncode(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AudioGsmDecode(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AudioGsmEncode16(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AudioGsmDecode16(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AudioNoiseGate8(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _AudioNoiseGate16(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _AudioNormalyse8(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioNormalyse16(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioGsmSetNoiseLevel(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioGetLevel8(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AudioGetLevel16(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
#define NAudioCmpPKG 20
char* AudioCmpname[NAudioCmpPKG]=
{"_AudioCrunch4bit","_AudioDecrunch4bit","_AudioCrunch2bit","_AudioDecrunch2bit","_AudioUninterpol2","_AudioInterpol2","_AudioGsmInit","_AudioGsmDestroy","_AudioGsmEncode","_AudioGsmDecode","_AudioGsmEncode16","_AudioGsmDecode16","_AudioNoiseGate8","_AudioNoiseGate16","_AudioNormalyse8","_AudioNormalyse16","_AudioGsmSetNoiseLevel","_AudioGetLevel8","_AudioGetLevel16","GsmCodec"};
int (*AudioCmpfun[NAudioCmpPKG])(mmachine m)=
{_AudioCrunch4bit,_AudioDecrunch4bit,_AudioCrunch2bit,_AudioDecrunch2bit,_AudioUninterpol2,_AudioInterpol2,_AudioGsmInit,_AudioGsmDestroy,_AudioGsmEncode,_AudioGsmDecode,_AudioGsmEncode16,_AudioGsmDecode16,_AudioNoiseGate8,_AudioNoiseGate16,_AudioNormalyse8,_AudioNormalyse16,_AudioGsmSetNoiseLevel,_AudioGetLevel8,_AudioGetLevel16,NULL};
int AudioCmpnarg[NAudioCmpPKG]=
{1,1,1,1,1,1,0,1,2,2,2,2,3,3,1,1,1,1,1,TYPTYPE};
char* AudioCmptype[NAudioCmpPKG]=
{"fun [S] S","fun [S] S","fun [S] S","fun [S] S","fun [S] S","fun [S] S","fun [] GsmCodec","fun [GsmCodec] I","fun [S GsmCodec] S","fun [S GsmCodec] S","fun [S GsmCodec] S","fun [S GsmCodec] S","fun [S I I] S","fun [S I I] S","fun [S] S","fun [S] S","fun [I] I","fun [S] I","fun [S] I",NULL};
int SCOLloadAudioCmp(mmachine m)
{
return PKhardpak(m,"AudioCmp.pkg",NAudioCmpPKG,AudioCmpname,AudioCmpfun,AudioCmpnarg,AudioCmptype);
}
